INTERFACE rwho2;

(* Copyright (c) 1991, 1992, 1993 Xerox Corporation.  All Rights Reserved.  

   Unlimited use, reproduction, and distribution of this software is
   permitted.  Any copy of this software must include both the above
   copyright notice of Xerox Corporation and this paragraph.  Any
   distribution of this software must comply with all applicable United
   States export control laws.  This software is made available AS IS,
   and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
   INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
   AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
   PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
   THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
   CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
   XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

   $Id: rwho2.isl,v 1.4 1994/11/11 19:48:28 janssen Exp $
*)

TYPE username = ilu.CString;
TYPE userSeq = SEQUENCE OF user;
TYPE userRec = RECORD time : ilu.CString, users : userSeq END;

TYPE user = OBJECT
  METHODS
    Name () : username
  END;

TYPE super = OBJECT
  METHODS
    ID () : ilu.CString
  END;

TYPE machine = OBJECT
  METHODS
    Status () : ilu.CString,
    IsUserPresent (username : username) : BOOLEAN,
    FUNCTIONAL StartTime () : ilu.CString,
    FUNCTIONAL Name () : ilu.CString,
    ListUsers () : userRec,
    EchoString (s : ilu.CString) : ilu.CString,
    EchoInt (s : CARDINAL) : CARDINAL
  END;
