import sys
import ilu
import Test1
import Test2
import Test3

oid = ilu.FormOID("Test1_Initial_Object", "Test1-Server")
handle = ilu.LookupObject(oid, Test1.O1)

if not handle:
  print "couldn't get initial object"
  sys.exit(1)

u = (5, ilu.TRUE)
css = ["hello world", "hello mars"]
u = handle.U_CSS_to_U(u, css)
print "u =", u

ro = handle.f_CSS_to_RO(css)
print "ro->i=%d" % ro["i"]

f = handle.R_ScS_to_F(ro, css[0])
print "f=%f" % f

handle.a_RO(ro)

o2 = handle.get_O2()

print "got O2, sbh = %s" % o2.IluSBH()

a = [1, 2, 3, 4, 5, 6, 7, 8]
css2 = o2.OO_A0_to_CSS(handle, a)

r = {"i": 12, "css": [], "a": ["this is", "data", "initialization"]}
i = 0
a1 = ["but this", "is", "fun"]
ap, i = o2.R_I_A1_to_I_A0(r, i, a1)

o3 = handle.get_O3(ilu.FALSE)
print "got O3, sbh = %s, O3 is" % o3.IluSBH(), o3

rs = []
i2, r2 = o3.RS_R_to_R_IS(rs)

u = o3.O1_U_to_U(handle, u)
print "u =", u

# This next call should return an instance of Test3.O
o3 = handle.get_O3(ilu.TRUE)
print "got O3, sbh = %s, O3 is" % o3.IluSBH(), o3

i2, r = o3.RS_R_to_R_IS(rs)
u = o3.O1_U_to_U(handle, u)
print "u =", u

u2 = o3.I_to_Test1U(397)
print "I_to_Test1U:  u2 =", u2

# This next call should return an instance of Test1.O4
o3 = handle.get_O3(ilu.FALSE)
print "got O3, sbh = %s, O3 is" % o3.IluSBH(), o3

r1 = 12345.6789
r2 = o3.R_to_R(r1)
print "doubles:  r1 is %.10f, r2 is %.10f" % (r1, r2)
