/*
 * posix.h -- POSIX definitions for system calls
 */

#include <unistd.h>

#define OS_READ			read	/* mainloop.c */
#define OS_WRITE		write	/* mainloop.c */

#define OS_SLEEP		sleep	/* memory.c */

#define OS_GETPID		getpid	/* bsdutils.c */

#define OS_UNAME		uname	/* bsdutils.c */

#define OS_UNLINK		unlink	/* simpbind.c */
#define OS_ACCESS		access	/* simpbind.c */
#define OS_ACCESS_R_OK		R_OK	/* simpbind.c */
#define OS_ACCESS_W_OK		W_OK	/* simpbind.c */

#include <sys/types.h>
#include <sys/stat.h>

#define OS_CHMOD		chmod	/* simpbind.c */
#define OS_CHMOD_S_IWUSR	S_IWUSR	/* simpbind.c */
#define OS_CHMOD_S_IRUSR	S_IRUSR	/* simpbind.c */
#define OS_CHMOD_S_IWGRP	S_IWGRP	/* simpbind.c */
#define OS_CHMOD_S_IRGRP	S_IRGRP	/* simpbind.c */
#define OS_CHMOD_S_IWOTH	S_IWOTH	/* simpbind.c */
#define OS_CHMOD_S_IROTH	S_IROTH	/* simpbind.c */
       
       
       
       
       
