;;;-*- Package: USER; Syntax: Common-Lisp; Mode: Lisp; Base: 10 -*-

(in-package :user)

(pdefsys:defsystem :fs
	(:load-before-compile ( :ilu)
	:needed-systems ( :ilu))
	(:fs-class-records :language :ansi-c
		:optimizations
			#+sgi ( #.*ilu-c-include-location* "-G" "0" )
			#+sun ( #.*ilu-c-include-location* )
		:pathname "fs-class-records.c"
		:binary-pathname #+sgi "fs-class-records.o" #+sun "fs-class-records.o")
	("fs-basics" :load-before-compile t))

(pdefsys:defsystem :fs-server
	(:load-before-compile (:fs)
	:needed-systems (:fs))
	("fs-server-procs"))
