#include <stdio.h>
#include <unistd.h>	/* for gethostname */

#include <timeit.h>

#define DOMAIN "parc.xerox.com"

ilu_boolean verbose = ilu_FALSE;

int main (int ac, char **av)
{
  extern void Test1__InitializeServer(void);
  ilu_Server s;
  timeit_p  uc;
  char hostname[1000], serverid[1000];

  timeit__InitializeServer();

  if (ac > 1)
    strcpy (hostname, av[1]);
  else
    gethostname (hostname, sizeof(hostname));

  if (ac > 2)
    verbose = ilu_TRUE;

  sprintf (serverid, "TimingTest.%s.%s", hostname, DOMAIN);
  s = ILU_C_InitializeServer (serverid, NULL, "sunrpc_", "tcp_localhost_0", ilu_TRUE);
  uc = timeit_p__CreateTrue ( "0", s, NULL );
  ILU_C_PublishObject (uc);

  if (uc != NULL)
    {
      printf ("exported %s\n", ILU_C_SBHOfObject(uc));
      ILU_C_Run( );
    }
  else
    {
      printf ("couldn't create object\n");
      exit(1);
    }
  return 1;
}

ilu_cardinal server_timeit_p_ping1 (timeit_p h, ILU_C_ENVIRONMENT *e, ilu_cardinal p1)
{
  if (verbose)
    printf ("timeit_p_ping1(%lu) => %lu\n", p1, p1);
  return (p1);
}

ilu_real server_timeit_p_ping2 (timeit_p h, ILU_C_ENVIRONMENT *e, ilu_real p1)
{
  if (verbose)
    printf ("timeit_p_ping2(%f) => %f\n", p1, p1);
  return (p1);
}

ilu_CString server_timeit_p_ping3 (timeit_p h, ILU_C_ENVIRONMENT *e, ilu_CString p1)
{
  if (verbose)
    printf ("timeit_p_ping3(\"%s\") => \"%s\"\n", p1, p1);
  return (p1);
}

