/*
Copyright (c) 1991-1995 Xerox Corporation.  All Rights Reserved.  

Unlimited use, reproduction, and distribution of this software is
permitted.  Any copy of this software must include both the above
copyright notice of Xerox Corporation and this paragraph.  Any
distribution of this software must comply with all applicable United
States export control laws.  This software is made available AS IS,
and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*/
/* $Id: iluaunix.h,v 1.2 1995/02/22 02:05:07 janssen Exp $ */

#ifndef _iluaunix_h_
#define _iluaunix_h_

#define ILU_AS_SUNRPCUNIX_MAGIC	0x756e6978

typedef struct _ilu_AS_SunRPCUnix_UserID_s {
  ilu_cardinal	au_magic;	/* set to "unix" in ASCII -- 0x756e6978 */
  ilu_string	au_hostname;	/* in some unpredictable format */
  ilu_cardinal	au_UID;
  gid_t		au_GID;
  ilu_cardinal	au_ngids;
  gid_t *	au_gids;
} * ilu_AS_SunRPCUnix_UserID;

#endif /* ndef _iluaunix_h_ */
