/*
Copyright (c) 1991, 1992, 1993 Xerox Corporation.  All Rights Reserved.  

Unlimited use, reproduction, and distribution of this software is
permitted.  Any copy of this software must include both the above
copyright notice of Xerox Corporation and this paragraph.  Any
distribution of this software must comply with all applicable United
States export control laws.  This software is made available AS IS,
and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*/
/* $Id: sunrpc.h,v 1.15 1994/06/23 06:59:28 janssen Exp $ */
/* Last tweaked by Mike Spreitzer November 7, 1993 9:08 pm PST */

#include <stdio.h>

#include <sys/types.h>

#include <fcntl.h>

struct SunRPC {
  /*L2 >= {call's connection's iomu}; L1, Main unconstrained*/
  
  PACKET sun_in;		/* XDR for input from socket */
};

typedef struct {
  /*L1 >= {prmu}; L2, Main unconstrained */

  ilu_Class sui_class;
  ilu_string sui_type_id;
  ilu_cardinal sui_pnumber, sui_version;
} sunrpcinfo;

#define SUNRPC(conn)	((struct SunRPC *)((conn)->co_protocol_data))

#define PROGRAM_NUMBER_REGISTRY_NAME		"SunRPCRegistry"

#define sunrpc_in(connection)	(SUNRPC(connection)->sun_in)

