/* KernelShim.c */
/* Last edited by Mike Spreitzer August 18, 1994 9:53 pm PDT */

#include <iluxport.h>

void ilu_shim_OutputLongInteger(ilu_Call call, ilu_longinteger *i)
{
  ilu_OutputLongInteger(call, *i);
}

ilu_cardinal ilu_shim_SizeOfLongInteger(ilu_Call call, ilu_longinteger *i)
{
  return (ilu_SizeOfLongInteger(call, *i));
}

void ilu_shim_OutputLongCardinal(ilu_Call call, ilu_longcardinal *i)
{
  ilu_OutputLongCardinal(call, *i);
}

ilu_cardinal ilu_shim_SizeOfLongCardinal(ilu_Call call, ilu_longcardinal *i)
{
  return (ilu_SizeOfLongCardinal(call, *i));
}

void ilu_shim_OutputShortReal(ilu_Call call, double f)
{
  ilu_OutputShortReal(call, f);
}

ilu_cardinal ilu_shim_SizeOfShortReal(ilu_Call call, double f)
{
  return (ilu_SizeOfShortReal(call, f));
}

void ilu_shim_OutputLongReal(ilu_Call call, ilu_longreal *i)
{
  ilu_OutputLongReal(call, *i);
}

ilu_cardinal ilu_shim_SizeOfLongReal(ilu_Call call, ilu_longreal *i)
{
  return (ilu_SizeOfLongReal(call, *i));
}

void ilu_shim_FineTime_Now(ilu_FineTime *t)
{
  *t = ilu_FineTime_Now();
  return;
}

void ilu_shim_FineTime_Add(ilu_FineTime *a, ilu_FineTime *b,
			   ilu_FineTime *c)
{
  *c = ilu_FineTime_Add(*a, *b);
  return;
}

void ilu_shim_FineTime_Sub(ilu_FineTime *a, ilu_FineTime *b,
			   ilu_FineTime *c)
{
  *c = ilu_FineTime_Sub(*a, *b);
  return;
}

ilu_integer ilu_shim_FineTime_Cmp(ilu_FineTime *a, ilu_FineTime *b)
{
  return ilu_FineTime_Cmp(*a, *b);
}
